package com.bytedance.android.livesdk.livesetting.gift;

import X.C6116HuP;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("live_interactive_gift_config")
public final class LynxDowngradeSettings {
    @Group(isDefault = true, value = "default group")
    public static final C6116HuP DEFAULT = new C6116HuP();
    public static final LynxDowngradeSettings INSTANCE = new LynxDowngradeSettings();

    public final C6116HuP getDEFAULT() {
        return DEFAULT;
    }

    public final C6116HuP getValue() {
        C6116HuP huP = (C6116HuP) SettingsManager.INSTANCE.getValueSafely(LynxDowngradeSettings.class);
        if (huP == null) {
            return DEFAULT;
        }
        return huP;
    }

    static {
        Covode.recordClassIndex(17870);
    }
}
